# lib

WorkDifferentWithAI Shared Libraries (go)

## Dependent Systems

The Gitea server <https://code.tnxs.net> must be up and running with admin access.

## Update Procedure

Prerequisite: All the other repos are cloned locally in adjacent directories.

* Increment branch number in local repo

* Generate all OpenAPI libraries and then cleanup modules

```bash
make swagger
go get -u -f ./...
go mod tidy
```

* Commit and push new branch to GitHub
* On GitHub goto <https://github.com/workdifferentwithai/lib/settings/branches> set the new branch to default.
* On GitHub goto <https://github.com/workdifferentwithai/lib/releases> and publish a new release for the new branch. Make the new tag the branch name.
* On Gitea goto <https://code.tnxs.net/workdifferentwithai/lib/settings> and click Synchronize Now.
* Update the ``go.mod`` line with ``code.tnxs.net/work/lib`` in each project to match the latest version.
