package app

// UserRoleActivityWrapper wraps the object with workflow params
type UserRoleActivityWrapper struct {
	APIKey   string
	SagaID   string
	SagaType string
}

// UserRole is a first class object type
type UserRole struct {
	RoleID          string
	UserID          string
	Auth0RoleID     string
	RoleDescription string
	RoleName        string
	AccountID       string
	CompanyName     string
	ContactID       string
	UserEmail       string
	UserFullName    string
	ExternalAccount string
	Username        string
	Auth0UserID     string
}
